﻿[Setup]

#define PRINTER_NAME "Your printer name"
#define REGISTRY_KEY "Your registry key"
#define Version "11.6.23"

OutputBaseFilename=sample_installation_x64
AppVersion={#Version}
AppName={#PRINTER_NAME} {#Version}
AppVerName={#PRINTER_NAME} {#Version}
DefaultDirName={pf}\{#PRINTER_NAME}
DefaultGroupName={#PRINTER_NAME}
AllowRootDirectory=false
UsePreviousAppDir=true
PrivilegesRequired=admin
UsePreviousGroup=false
DisableStartupPrompt=true
Compression=lzma
RestartIfNeededByRun=no
SetupIconFile=printer.ico

ArchitecturesAllowed=x64
ArchitecturesInstallIn64BitMode=x64

ShowUndisplayableLanguages=yes

MinVersion=0,5.1

[Dirs]
Name: {app}\Output; Permissions: users-modify

[Languages]

Name: en; MessagesFile: "compiler:Default.isl"
Name: fr; MessagesFile: "compiler:Languages\French.isl"
Name: es; MessagesFile: "compiler:Languages\Spanish.isl"
Name: gr; MessagesFile: "compiler:Languages\German.isl"
Name: pr; MessagesFile: "compiler:Languages\Portuguese.isl"

[CustomMessages]
en.SetDefaultPrinter=Set {#PRINTER_NAME} as the default printer
es.SetDefaultPrinter=Definir {#PRINTER_NAME} como impresora por defecto
fr.SetDefaultPrinter=Definit {#PRINTER_NAME} comme imprimant par dιfaut
pr.SetDefaultPrinter=Definir como impressora padrγo {#PRINTER_NAME}
gr.SetDefaultPrinter=Definiere {#PRINTER_NAME} als Standarddrucker


en.OtherTasks=Other tasks:
es.OtherTasks=Otras tareas:
fr.OtherTasks=Autres tβches:
pr.OtherTasks=Outras tarefas:
gr.OtherTasks=Weitere Aufgaben:


en.InstallingPrinter=Installing {#PRINTER_NAME} virtual printer...
es.InstallingPrinter=Instalando la impresora virtual {#PRINTER_NAME}...
fr.InstallingPrinter=Installation de l’imprimant virtuel {#PRINTER_NAME}...
pr.InstallingPrinter=Instalando o {#PRINTER_NAME} impressora virtual...
gr.InstallingPrinter=Installiere {#PRINTER_NAME} Druckertreiber...

en.RunningAgent=Running {#PRINTER_NAME} printing agent...
es.RunningAgent=Ejecutando el agente de impresiσn {#PRINTER_NAME}...
fr.RunningAgent=Agent d’impression {#PRINTER_NAME} en marche...
pr.RunningAgent=Executando o agente {#PRINTER_NAME} impressγo...
gr.RunningAgent={#PRINTER_NAME} druckt...

en.UninstallingPrinter=Uninstalling printer...
es.UninstallingPrinter=Desintalando la impresora...
fr.UninstallingPrinter=Dιsinstallation de l’imprimant...
pr.UninstallingPrinter=Desinstalar a impressora...
gr.UninstallingPrinter=Deinstalliere Druckertreiber...

[Files]

; printer setup
Source: "SetupPrn_x64.exe"; DestDir: {app}; Flags: ignoreversion

; sample client application that will recieve captured printing jobs
Source: "SampleClient_x64.exe"; DestDir: {app}; Flags: ignoreversion

; readme
Source: "README.pdf"; DestDir: {app}; Flags: ignoreversion

[Tasks]

Name: defaultprinter; Description: "{cm:SetDefaultPrinter}"; GroupDescription: "{cm:OtherTasks}"; Flags: unchecked; MinVersion: 0,5

[Run]

; install the printer driver
Filename: "{app}\SetupPrn_x64.exe"; Parameters: "/INSTDIR:""{app}"" /ACTION:INSTALL"; StatusMsg: "{cm:InstallingPrinter}"
; set default printer
Filename: "{sys}\rundll32.exe"; Parameters: "printui.dll,PrintUIEntry /y /n""{#PRINTER_NAME}"""; Tasks: defaultprinter; StatusMsg: "{cm:SetDefaultPrinter}"; MinVersion: 0,5

[Icons]

; printer preferences icon
Name: "{group}\Printing Preferences"; Filename: "{app}\properties.exe"; WorkingDir: {app}

; uninstall icon
Name: "{group}\Uninstall {#PRINTER_NAME} (x64)"; Filename: {uninstallexe}; WorkingDir: {app}

[Registry]

; <!-- installation directory -->
Root: HKLM; Subkey: "SOFTWARE\{#REGISTRY_KEY}"; ValueType: "string"; ValueName: "Installation Directory"; ValueData: "{app}"; Flags: uninsdeletevalue

; <!-- GUI settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "EMF: Hide page";                 ValueData: "1";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "BMP: Hide page";                 ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "PNG: Hide page";                 ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "JPEG: Hide page";                ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "TIFF: Hide page";                ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "PDF: Hide page";                 ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "TXT: Hide page";                 ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "FTP: Hide page";                 ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "General: Hide page";             ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "Paper: Hide page";               ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "Redirect: Hide page";            ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "Language: Hide page";            ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "Application: Hide page";         ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "Converter: Hide page";           ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "About: Hide page";               ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "Additional: Hide page";          ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "dword";  ValueName: "Authentication: Hide page";      ValueData: "0";      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "string"; ValueName: "Version";                        ValueData: "11.6.20"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}"; ValueType: "string"; ValueName: "Language";                       ValueData: "{code:GetLanguage|{language}}"; Flags: uninsdeletevalue

; <!-- Agent settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Agent";  ValueType: "dword"; ValueName: "Allow Guest Session";            ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Agent";  ValueType: "dword"; ValueName: "Allow Domain Session";           ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Agent";  ValueType: "dword"; ValueName: "Allow Self Session";             ValueData: "0"; Flags: uninsdeletevalue

; <!-- OAuth settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Agent\OAuth v2.0";  ValueType: "dword";  ValueName: "Enabled";                   ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Agent\OAuth v2.0";  ValueType: "dword";  ValueName: "Ignore certificate error";  ValueData: "1"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Agent\OAuth v2.0";  ValueType: "dword";  ValueName: "Remove unauthorized job";   ValueData: "1"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Agent\OAuth v2.0";  ValueType: "string"; ValueName: "Client ID";                 ValueData: ""; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Agent\OAuth v2.0";  ValueType: "string"; ValueName: "Client Secret";             ValueData: ""; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Agent\OAuth v2.0";  ValueType: "string"; ValueName: "URL";                       ValueData: ""; Flags: uninsdeletevalue

; <!-- Application settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "dword";  ValueName: "Enabled";                 ValueData: "1";                          Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "dword";  ValueName: "Early Access";            ValueData: "0";                          Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "string"; ValueName: "Executable File";         ValueData: "{app}\SampleClient_x64.exe"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "dword";  ValueName: "Skip mode";               ValueData: "0";                          Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "dword";  ValueName: "Timeout";                 ValueData: "200";                        Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "dword";  ValueName: "Transfer mode";           ValueData: "0";                          Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "string"; ValueName: "Window title";            ValueData: "ClientAppTitle";             Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "string"; ValueName: "Window class";            ValueData: "ClientAppClass";             Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "dword";  ValueName: "Message ID";              ValueData: "32768";                      Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "dword";  ValueName: "Notify All";              ValueData: "1";                          Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "string"; ValueName: "Pipe Name";               ValueData: "\\.\pipe\99073F34DF414861970DC35690876B7E"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "dword";  ValueName: "Pipe Message Size";       ValueData: "4096";                       Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Application\Postconverter";  ValueType: "dword";  ValueName: "Pipe Launch Application"; ValueData: "1";                          Flags: uninsdeletevalue

; <!-- Converter settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter";  ValueType: "dword";  ValueName: "Threads";          ValueData: "2";            Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter";  ValueType: "dword";  ValueName: "Show Progress";    ValueData: "1";            Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter";  ValueType: "dword";  ValueName: "Cleanup Output";   ValueData: "0";            Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter";  ValueType: "string"; ValueName: "Output Directory"; ValueData: "{app}\Output"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter";  ValueType: "dword";  ValueName: "Pages per Sheet";  ValueData: "1";            Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter";  ValueType: "dword";  ValueName: "Draw Borders";     ValueData: "0";            Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter";  ValueType: "string"; ValueName: "File name mask";   ValueData: "{{yyyy}{{MM}{{DD}{{hh}{{mm}{{ss}{{job05}{{page03}"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter";  ValueType: "string"; ValueName: "Multipage file name mask"; ValueData: "{{yyyy}{{MM}{{DD}{{hh}{{mm}{{ss}{{job05}{{page03}"; Flags: uninsdeletevalue

; <!-- BMP settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\BMP";  ValueType: "dword"; ValueName: "Enabled";        ValueData: "1";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\BMP";  ValueType: "dword"; ValueName: "Bits per pixel"; ValueData: "24"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\BMP";  ValueType: "dword"; ValueName: "Grayscale";      ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\BMP";  ValueType: "dword"; ValueName: "Dithering";      ValueData: "0";  Flags: uninsdeletevalue

; <!-- EMF settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\EMF";  ValueType: "dword";  ValueName: "Enabled";                   ValueData: "1";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\EMF";  ValueType: "dword";  ValueName: "Normalize lines";           ValueData: "0";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\EMF";  ValueType: "dword";  ValueName: "Thin line width";           ValueData: "1";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\EMF";  ValueType: "dword";  ValueName: "Thick line width";          ValueData: "20";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\EMF";  ValueType: "dword";  ValueName: "Store embedded fonts";      ValueData: "0";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\EMF";  ValueType: "dword";  ValueName: "Store system fonts";        ValueData: "0";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\EMF";  ValueType: "string"; ValueName: "Embedded fonts directory";  ValueData: "{{yyyy}{{MM}{{DD}{{hh}{{mm}{{ss}{{job05}{{page03}"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\EMF";  ValueType: "dword";  ValueName: "Cut document";              ValueData: "0";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\EMF";  ValueType: "dword";  ValueName: "Extra bottom space";        ValueData: "50";   Flags: uninsdeletevalue

; <!-- FTP settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\FTP";  ValueType: "dword";  ValueName: "Enabled";                   ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\FTP";  ValueType: "string"; ValueName: "Url";                       ValueData: "";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\FTP";  ValueType: "string"; ValueName: "User Name";                 ValueData: "";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\FTP";  ValueType: "string"; ValueName: "Password";                  ValueData: "";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\FTP";  ValueType: "string"; ValueName: "Upload";                    ValueData: "";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\FTP";  ValueType: "dword";  ValueName: "Encrypted";                 ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\FTP";  ValueType: "dword";  ValueName: "Attempts";                  ValueData: "1"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\FTP";  ValueType: "dword";  ValueName: "Ignore certificate error";  ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\FTP";  ValueType: "string"; ValueName: "Error message";             ValueData: "";  Flags: uninsdeletevalue

; <!-- INI settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\INI";  ValueType: "dword"; ValueName: "Enabled";   ValueData: "1"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\INI";  ValueType: "dword"; ValueName: "Duplicate"; ValueData: "1"; Flags: uninsdeletevalue

; <!-- JPEG settings-->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\JPEG";  ValueType: "dword"; ValueName: "Enabled";   ValueData: "1";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\JPEG";  ValueType: "dword"; ValueName: "Grayscale"; ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\JPEG";  ValueType: "dword"; ValueName: "Quality";   ValueData: "80"; Flags: uninsdeletevalue

; <!-- PDF settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Enabled";                ValueData: "1";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Multipage";              ValueData: "1";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Produce PDFA";           ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Timezone";               ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Page Layout";            ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Page Mode";              ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Security Enabled";       ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Encryption Level";       ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "User Password Enabled";  ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "string"; ValueName: "User Password";          ValueData: "";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Owner Password Enabled"; ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "string"; ValueName: "Owner Password";         ValueData: "";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Allow Copying";          ValueData: "1";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Allow Commenting";       ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Allow Changing";         ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Allow Printing";         ValueData: "1";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "string"; ValueName: "Title";                  ValueData: "";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "string"; ValueName: "Author";                 ValueData: "";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "string"; ValueName: "Producer";               ValueData: "";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "string"; ValueName: "Creator";                ValueData: "";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "string"; ValueName: "Subject";                ValueData: "";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "string"; ValueName: "Keywords";               ValueData: "";   Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Use Document Name";      ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Image Quality";          ValueData: "80"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Grayscale";              ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "Subsetting";             ValueData: "1";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "MarginX";                ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PDF";  ValueType: "dword";  ValueName: "MarginY";                ValueData: "0";  Flags: uninsdeletevalue

; <!-- PNG settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PNG";  ValueType: "dword"; ValueName: "Enabled";        ValueData: "1";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PNG";  ValueType: "dword"; ValueName: "Bits per pixel"; ValueData: "24"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PNG";  ValueType: "dword"; ValueName: "Grayscale";      ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\PNG";  ValueType: "dword"; ValueName: "Dithering";      ValueData: "0";  Flags: uninsdeletevalue

; <!-- POS settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\POS";  ValueType: "dword";  ValueName: "Enabled";        ValueData: "0";               Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\POS";  ValueType: "string"; ValueName: "FontA";          ValueData: "Consolas";        Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\POS";  ValueType: "dword";  ValueName: "FontA Size";     ValueData: "4";               Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\POS";  ValueType: "string"; ValueName: "FontB";          ValueData: "Consolas";        Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\POS";  ValueType: "dword";  ValueName: "FontB Size";     ValueData: "4";               Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\POS";  ValueType: "dword";  ValueName: "Single file";    ValueData: "1";               Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\POS";  ValueType: "dword";  ValueName: "Skip Header";    ValueData: "0";               Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\POS";  ValueType: "dword";  ValueName: "Specification";  ValueData: "0";               Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\POS";  ValueType: "dword";  ValueName: "Left Margin";    ValueData: "15";              Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\POS";  ValueType: "string"; ValueName: "Encoding";       ValueData: "ASCII";           Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\POS";  ValueType: "dword";  ValueName: "Skip Less Than"; ValueData: "10";               Flags: uninsdeletevalue

; <!-- RAW settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\RAW";  ValueType: "dword"; ValueName: "Enabled"; ValueData: "0"; Flags: uninsdeletevalue

; <!-- TEXT settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TEXT";  ValueType: "dword"; ValueName: "Enabled";                         ValueData: "1"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TEXT";  ValueType: "dword"; ValueName: "Multipage";                       ValueData: "1"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TEXT";  ValueType: "dword"; ValueName: "Encoding";                        ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TEXT";  ValueType: "dword"; ValueName: "Write BOM";                       ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TEXT";  ValueType: "dword"; ValueName: "Single line interval";            ValueData: "5"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TEXT";  ValueType: "dword"; ValueName: "Single word interval";            ValueData: "1"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TEXT";  ValueType: "dword"; ValueName: "Debug";                           ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TEXT";  ValueType: "dword"; ValueName: "Keep formatting";                 ValueData: "1"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TEXT";  ValueType: "dword"; ValueName: "Default Bidirectional Algorithm"; ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TEXT";  ValueType: "dword"; ValueName: "OffsetX";                         ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TEXT";  ValueType: "dword"; ValueName: "OffsetY";                         ValueData: "0"; Flags: uninsdeletevalue

; <!-- TIFF settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TIFF";  ValueType: "dword"; ValueName: "Enabled";          ValueData: "1";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TIFF";  ValueType: "dword"; ValueName: "Bits per pixel";   ValueData: "24"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TIFF";  ValueType: "dword"; ValueName: "Grayscale";        ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TIFF";  ValueType: "dword"; ValueName: "Dithering";        ValueData: "0";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TIFF";  ValueType: "dword"; ValueName: "Multipage";        ValueData: "1";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\TIFF";  ValueType: "dword"; ValueName: "Compression";      ValueData: "0";  Flags: uninsdeletevalue

; <!-- Redirect  settings -->
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "dword";  ValueName: "Enabled";               ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "dword";  ValueName: "Spool";                 ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "string"; ValueName: "Printer";               ValueData: "";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "dword";  ValueName: "Redirect Watermarks";   ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "dword";  ValueName: "Left Correction";       ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "dword";  ValueName: "Top Correction";        ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "dword";  ValueName: "Right Correction";      ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "dword";  ValueName: "Bottom Correction";     ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "string"; ValueName: "Extra Command";         ValueData: "";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "dword";  ValueName: "Force EMF";             ValueData: "0"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "dword";  ValueName: "Scale Mode";            ValueData: "1"; Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "dword";  ValueName: "Horizontal Scale";      ValueData: "100";  Flags: uninsdeletevalue
Root: HKLM; Subkey: "Software\{#REGISTRY_KEY}\Converter\Redirect";  ValueType: "dword";  ValueName: "Vertical Scale";        ValueData: "100";  Flags: uninsdeletevalue

[UninstallRun]

Filename: "{app}\SetupPrn_x64.exe"; Parameters: "/INSTDIR:""{app}"" /ACTION:UNINSTALL"; StatusMsg: "{cm:UninstallingPrinter}"

[UninstallDelete]

; cleanup and delete whole installation directory
Name: {app}; Type: filesandordirs

[Code]
function GetLanguage(LangID : String) : String;
begin
  Result := 'English';
  if (LangID = 'en') then
  begin
    Result := 'English';
  end
  else if (LangID = 'es') then
  begin
    //Result := 'Español';
    Result := #$0045#$0073#$0070#$0061#$00F1#$006F#$006C;
  end
  else if (LangID = 'fr') then
  begin
    //Result := 'Français';
    Result := #$0046#$0072#$0061#$006E#$00E7#$0061#$0069#$0073;
  end
  else if (LangID = 'pr') then
  begin
    //Result := 'Português';
    Result := #$0050#$006F#$0072#$0074#$0075#$0067#$0075#$00EA#$0073;
  end
  else if (LangID = 'gr') then
  begin
    //Result := 'Deutsch';
    Result := 'Deutsch';
  end
  else if (LangID = 'gre') then
  begin
    //Result := 'Ελληνικά';
    Result := #$0395#$03BB#$03BB#$03B7#$03BD#$03B9#$03BA#$03AC;
  end;
end;
